## org.mortbay.cometd.ext
Class TimestampExtension

    java.lang.Object
      org.mortbay.cometd.ext.TimestampExtension

All Implemented Interfaces:
  Extension

    public class TimestampExtension

extends Object
implements Extension

Constructor Summary
`TimestampExtension()`
`TimestampExtension(String format)`
`TimestampExtension(String format, TimeZone tz)`

Method Summary
`Message` `rcv(Message message)`
`Message` `rcvMeta(Message message)`
`Message` `send(Message message)`
`Message` `sendMeta(Message message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimestampExtension

    public TimestampExtension()

### TimestampExtension

    public TimestampExtension(String format)

### TimestampExtension

    public TimestampExtension(String format,
                              TimeZone tz)

Method Detail

### rcv

    public Message rcv(Message message)

  Specified by:
    `rcv` in interface `Extension`

### rcvMeta

    public Message rcvMeta(Message message)

  Specified by:
    `rcvMeta` in interface `Extension`

### send

    public Message send(Message message)

  Specified by:
    `send` in interface `Extension`

### sendMeta

    public Message sendMeta(Message message)

  Specified by:
    `sendMeta` in interface `Extension`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.